Update automation

Updates an Automation.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequiredformat: "^[0-9a-f]{24}$"
The id of the Automation to update.

Request

updates
namestringOptional>=1 character
The name of the document
descriptionstringOptional
The description of the document
componentTypeany or nullOptional
The type of component linked to this Automation.
gbacobjectOptional
componentIdstring or any or nullOptional
The id of the component linked to this Automation.

Response

The result of the update operation.
messagestring

A human-readable message summarizing the result of the operation

dataany
Any successfully retrieved information related to the request.
metadatamap from strings to any

Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

Errors

500
Internal Server Error